<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gsi_callback_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__callback__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CALLBACK_MODULE</name>
      <anchorfile>group__globus__gsi__callback__activation.html</anchorfile>
      <anchor>ga432d1d7a794f1d772f0e9d8f35e9ef9f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback</name>
    <title>Callback Functions</title>
    <filename>group__globus__gsi__callback.html</filename>
    <member kind="typedef">
      <type>int(*</type>
      <name>globus_gsi_extension_callback_t</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gab8ea0fdaa7d613a4cf1356213e9677f5</anchor>
      <arglist>)(globus_gsi_callback_data_t callback_data, X509_EXTENSION *extension)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_X509_STORE_callback_data_index</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gae6aec85d1c12898df6fab8ccd1eed776</anchor>
      <arglist>(int *index)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_SSL_callback_data_index</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gad1c92597247081cf75c130e43ddaa4bf</anchor>
      <arglist>(int *index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_X509_verify_cert</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gacdd68ac96173d118c50092a888f022de</anchor>
      <arglist>(X509_STORE_CTX *context, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_create_proxy_callback</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>ga89eecf0be1d25519a218c7feafd502f6</anchor>
      <arglist>(int preverify_ok, X509_STORE_CTX *x509_context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_handshake_callback</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>gaef8044b5aeb67947628746c1332a6f8c</anchor>
      <arglist>(int preverify_ok, X509_STORE_CTX *x509_context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gsi_callback_check_issued</name>
      <anchorfile>group__globus__gsi__callback.html</anchorfile>
      <anchor>ga72d5aebde5e0a719ba0d172f74e63bb7</anchor>
      <arglist>(X509_STORE_CTX *context, X509 *cert, X509 *issuer)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_data</name>
    <title>Callback Data Functions</title>
    <filename>group__globus__gsi__callback__data.html</filename>
    <member kind="typedef">
      <type>struct globus_l_gsi_callback_data_s *</type>
      <name>globus_gsi_callback_data_t</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga3ae70b8c3f086611aeb22918962f7674</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_init</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga8e64031ae4c5bca07ec5a89ecd81ca69</anchor>
      <arglist>(globus_gsi_callback_data_t *callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_destroy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga9e6c2d5b6e12904a87a4babb70e8e75b</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_data_copy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga7069404653e9af285e98fe00b88198c0</anchor>
      <arglist>(globus_gsi_callback_data_t source, globus_gsi_callback_data_t *dest)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga39768498312535baf534b62698a93d9a</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *cert_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gad44f44ef9e4a101324f39409b30b1944</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int cert_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_proxy_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gabb7ccb8874459d2d66a7ad8cf464270e</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *proxy_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_proxy_depth</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga174c07168da29f8b5cb02d5a7a4badcf</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int proxy_depth)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_type</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gaf1c7701521fa6faa9dbef702511cbdbd</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_cert_utils_cert_type_t *cert_type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_type</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga505ed426094d51fcc7228081cd00389b</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_cert_utils_cert_type_t cert_type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_chain</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gae35b490890d2571c4bcf74f128d829ae</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, STACK_OF(X509)**cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_chain</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga4d8c94faa710e4fdcb916fc313fbcc85</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, STACK_OF(X509)*cert_chain)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_multiple_limited_proxy_ok</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gac100dbf27a625f76146fa05731263392</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int *multiple_limited_proxy_ok)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_multiple_limited_proxy_ok</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gab5e911fe27ebf9441c8a931c8c85f5f1</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, int multiple_limited_proxy_ok)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_extension_oids</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga379095d0cecada76ee89ebc4ad791e63</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, void **extension_oids)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_extension_oids</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gacd4cd0c37b360fb4f77bd0db6d6b810d</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, void *extension_oids)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_cert_dir</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga53a50c4bba593a2a39279b9d51512d83</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, char **cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_cert_dir</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gaf4d55724aa26b17a5fc89b8c13004e74</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, char *cert_dir)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_extension_cb</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga3d8d4cc90b209610a7e0526a1419bf39</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_extension_callback_t *extension_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_extension_cb</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga9ac065145868795308b64e8dda51f89d</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_gsi_extension_callback_t extension_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_error</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga45c92a58f8eaebbf557f9be434fad061</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_result_t *error)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_error</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gabaf810f40e896724079c4fdcddb8d30a</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_result_t error)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_check_policy_for_self_signed_certs</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga7301293eb9d44b18d0168ebe2e625de2</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t *check)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_check_policy_for_self_signed_certs</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga42a5eb7d1af2fedf1509ac6b8820b44d</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t check)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_get_allow_missing_signing_policy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>ga9402ed31fefbcff42eebfcde9c6f196b</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t *allow)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_callback_set_allow_missing_signing_policy</name>
      <anchorfile>group__globus__gsi__callback__data.html</anchorfile>
      <anchor>gabb12a089117c9fea75bd817e0e560b2c</anchor>
      <arglist>(globus_gsi_callback_data_t callback_data, globus_bool_t allow)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_callback_constants</name>
    <title>GSI Callback Constants</title>
    <filename>group__globus__gsi__callback__constants.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>globus_gsi_callback_error_t</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>ga2f7ad05d55ce101a57f62842ce0f6f2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab0ecce376da1fd40e52d5757cc03e479</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eaa76ac35b98ef23144e3b79224b51f76c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eaf0d80380ea20d33d4a010ddc25078c26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea9f721c2bca9c9fb193b27e2758b3c3f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea3186011721bfe9e7888000cc55265981</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea1f594cc4aa75171b4178b9ef176295f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea63c3ad1febdd2d7d594dd8b88265e7be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea5ff003b9af9b414e8978274ef7c8e950</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab61ce842eff2df52299a1cce567feca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea764d50a76dd92d8b43b16c9985e1b77d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea435efe0eef0ccc1abc15f1fbe4600586</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea59efa2edc75a8dd527f592547e9e5279</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab4d299341d3c761887583aac17effbda</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_ERRNO</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eaea899bdc57db0bf3cde2df6e0dfb8628</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea11f4eec869d9e33635cc04f5d8e07b95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea9cc2aded2617501f113335080807d0b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab028949963fae5963da3898bb9977b7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CALLBACK_ERROR_LAST</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea4906f8607a51e87d033c4e0364a67e36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab0ecce376da1fd40e52d5757cc03e479</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eaa76ac35b98ef23144e3b79224b51f76c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eaf0d80380ea20d33d4a010ddc25078c26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea9f721c2bca9c9fb193b27e2758b3c3f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea3186011721bfe9e7888000cc55265981</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea1f594cc4aa75171b4178b9ef176295f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea63c3ad1febdd2d7d594dd8b88265e7be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea5ff003b9af9b414e8978274ef7c8e950</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab61ce842eff2df52299a1cce567feca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea764d50a76dd92d8b43b16c9985e1b77d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea435efe0eef0ccc1abc15f1fbe4600586</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea59efa2edc75a8dd527f592547e9e5279</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab4d299341d3c761887583aac17effbda</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_ERRNO</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eaea899bdc57db0bf3cde2df6e0dfb8628</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea11f4eec869d9e33635cc04f5d8e07b95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea9cc2aded2617501f113335080807d0b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2eab028949963fae5963da3898bb9977b7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GLOBUS_GSI_CALLBACK_ERROR_LAST</name>
      <anchorfile>group__globus__gsi__callback__constants.html</anchorfile>
      <anchor>gga2f7ad05d55ce101a57f62842ce0f6f2ea4906f8607a51e87d033c4e0364a67e36</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>library</name>
    <path>/builddir/build/BUILD/globus_gsi_callback-4.4/library/</path>
    <filename>dir_e3d620c6b6fdb93ed3bc6186215bde2e.html</filename>
    <file>globus_gsi_callback.c</file>
    <file>globus_gsi_callback.h</file>
    <file>globus_gsi_callback_constants.h</file>
    <file>globus_gsi_callback_data.c</file>
    <file>globus_gsi_callback_error.c</file>
    <file>globus_i_gsi_callback.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Globus GSI Callback</title>
    <filename>index</filename>
  </compound>
</tagfile>
